use serde::{Deserialize, Serialize};

pub type Repository = String;

#[derive(Debug, PartialEq, Serialize, Deserialize, Clone)]
pub struct SelectAction {
    pub repositories: Vec<Repository>,
}

#[derive(Debug, PartialEq, Serialize, Deserialize, Clone)]
#[serde(tag = "type")]
pub enum Action {
    #[serde(rename = "go")]
    Go { entry: String },
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq)]
#[serde(tag = "apiVersion")]
pub enum Schema {
    #[serde(rename = "action")]
    Action {
        name: String,
        select: SelectAction,
        actions: Vec<Action>,
    },
}
